<?php
/*
Plugin Name: Leadsquared-Tracking-Script
Plugin URI: http://www.leadsquared.com/
Description: Adds LeadSquared Tracking Script on your WordPress site. To enable it, just go to "LeadSquared" link on the left Nav, click on "Tracking Script Settings", update your LeadSquared Account Number and Save. 
Version: 1.1
Author: LeadSquared, Inc.
Author URI: http://www.leadsquared.com
License: GPLv2
*/
/*  Copyright 2013  LeadSquared Inc.  (email : info@leadsquared.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
define('LSQTS_PLUGIN_URL', plugin_dir_url(__FILE__));
define('LSQTS_PLUGIN_SLUG', 'leadsquared');
include_once('inc/LeadSquaredTrackingSetting.php');
include_once('metaboxes/meta_box.php');
add_action('wp_footer', 'LeadSquaredTrackingSettings::leadsquared_tracking_script');
register_activation_hook(__FILE__, 'leadsquared_script_install');
register_deactivation_hook(__FILE__, 'leadsquared_script_remove' );
add_action( 'admin_menu', 'leadsquared_tracking_script_menu' );
if(is_admin()){
	wp_register_style('LeadSquared-home-style', plugins_url( '/css/style.css' , __FILE__ ), array(), '1.0', 'all' );
	wp_enqueue_style( 'LeadSquared-home-style' );
}
//------------------------------------------------------------------------------------------------------------------------//

function leadsquared_tracking_script_menu(){
  global $menu;
  global $submenu;
  $menu_exist = false;
  if(is_array($menu)) {
     foreach($menu as $item) {
	           
               if(strtolower($item[2]) == strtolower(LSQTS_PLUGIN_SLUG)) {
                    $menuExist = true;
					}
				}
     }
    if(!$menuExist) { 
	add_menu_page('LeadSquared', 'LeadSquared', 'manage_options', LSQTS_PLUGIN_SLUG, 'leadsquared_home_page', plugins_url('tracking-script/images/icon.png'));
	add_submenu_page(LSQTS_PLUGIN_SLUG, '', '', 'manage_options', LSQTS_PLUGIN_SLUG);
	add_submenu_page(LSQTS_PLUGIN_SLUG, 'Tracking Script', 'Tracking Script', 'manage_options', 'leads-script-menu', 'LeadSquaredTrackingSettings::tracking_script_admin_page');
	} 
	
	else {
     add_submenu_page(LSQTS_PLUGIN_SLUG, 'Tracking Script', 'Tracking Script', 'manage_options', 'leads-script-menu', 'LeadSquaredTrackingSettings::tracking_script_admin_page');
	}
}

//------------------------------------------------------------------------------------------------------------------------//

function leadsquared_script_install() {
  /* Creates new database field */
  add_option("leadsquared_account_number", '', '', 'yes');
}

//------------------------------------------------------------------------------------------------------------------------//

function leadsquared_script_remove() {
  /* Deletes the database field */
  delete_option('leadsquared_account_number');
}

//------------------------------------------------------------------------------------------------------------------------//

if(!function_exists(leadsquared_home_page))
{
	function leadsquared_home_page()
	{
	include_once('inc/leadsquared-admin.php');
	}
}

//------------------------------------------------------------------------------------------------------------------------//



//------------------------------------------------------------------------------------------------------------------------//

/**EOF**/

$prefix = 'lsq_';
$lsq_tracking_ids = get_option('leadsquared_account_number'); 

if (is_array($lsq_tracking_ids))
{
foreach ($lsq_tracking_ids as $value) {
$lsq_checkbox[] = array('label' => "Account Number $value", 'value'	=> "$value" );
}
$fields = array(
	array (
		'label'	=> 'You can stop tracking this page in LeadSquared by selecting specific Account Number(s) below:', 
		'desc'	=> 'You can find your Account number on the bottom right corner of LeadSquared.',
		'id'	=> $prefix.'tracking_id',
		'type'	=> 'checkbox_group', 
		'options' => $lsq_checkbox
	)
);
$post_types = get_post_types(); 
$lsq_box = new custom_add_meta_box( 'lsq_box', 'LeadSquared Tracking Settings', $fields, $post_types, true );

}	?>
